/*
 * Copyright 2024, Santiago Lema <santiago@lema.org>
 * All rights reserved. Distributed under the terms of the MIT license.
 */

#include "App.h"
#include "MainWindow.h"

#include <AboutWindow.h>
#include <Catalog.h>

#undef B_TRANSLATION_CONTEXT
#define B_TRANSLATION_CONTEXT "Application"

const char *kApplicationSignature = "application/x-vnd.SLema-DumBer";

App::App() : BApplication(kApplicationSignature) {
  MainWindow *m = new MainWindow();
  m->SetLook(B_DOCUMENT_WINDOW_LOOK);
  m->SetFeel(B_NORMAL_WINDOW_FEEL);
  m->SetSizeLimits(350,B_SIZE_UNLIMITED,300,B_SIZE_UNLIMITED);

  mainWindow = m;
  mainWindow->Show();
}






App::~App() {}

void App::AboutRequested() {
  BAboutWindow *about = new BAboutWindow(B_TRANSLATE_SYSTEM_NAME("DumBer"),
                                         kApplicationSignature);
  about->AddDescription(B_TRANSLATE("about_body"));
  about->AddCopyright(2025, "Santiago Lema");
  about->AddText("e-mail me at haiku@lema.org");
  about->AddText("or find me on the fediverse as\n@santi@go.lema.org");

  about->Show();
}



int main() {
  App *app = new App();
  app->Run();
  delete app;
  return 0;
}
